Du bist nicht angemeldet. Der Zugriff auf einige Boards wurde daher deaktiviert.

#1 30. Oktober 2012 23:29

GoGo
arbeitet mit CMS/ms
Registriert: 20. Januar 2011
Beiträge: 134

Update von 1.7.1 auf die neuste Version für Dummies

Hallo Leute,
ich weiß, das Thema gab es schon mehrere Male.
Ich suche aber nach eine einfache Anleitung.

1. Welche Datei nehme ich zuerst?
Irgendwo gelesen was von 1.9.3.4, sowas habe ich auch nicht gefunden?

Ich weiß nicht mal wo ich anfangen soll.
Bitte, bitte...

Offline

#2 30. Oktober 2012 06:24

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

  • Update auf 1.9.4.3

  • Alle Module aktualisieren

  • Prüfen ob es von allen Modulen eine Version im 2012 gibt (älter besteht die Gefahr, dass sie nicht mehr laufen unter 1.10 und 1.11)

  • Danach Update auf die 1.10

  • Allenfalls Template / UDTs anpassen

  • Module aktualisieren

  • Update auf die 1.11.2.1

Dazwischen versteht sich von selbst, dass du jeweils ein Backup der Dateien und der Datenbank machst. Damit kannst du bei einem fehlgeschlagenen Update auch nochmals zurück.


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#3 30. Oktober 2012 06:27

cyberman
Moderator
Ort: Dohna / Sachsen
Registriert: 13. September 2010
Beiträge: 6.825
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

Das hast du dir schon richtig gemerkt wink ... du musst das System zunächst auf die 1.9.4.3 bringen. Anschließend solltest du die Fremd-Module (Module, die nicht Bestandteil des Standard-CMSMS sind) auf den Stand bringen, der für die 1.10.3 relevant war - einfach die Veröffentlichungsdaten vergleichen. Die sollten vor der Erstveröffentlichung der 1.11.x liegen. Du wirst dann zwar nach der Aktualisierung unter "Erweiterungen - Module" den Hinweis finden, dass die Module erst unter der 1.10.x funktionieren. Das stört aber an der Stelle weiter nicht. Dann kannst du das System auf die Version 1.10.3 bringen.

Die nächste Aktualisierung auf die 1.11.x sollte dann wieder in bekannter Weise funktionieren.

Wie gesagt, wichtig ist zum einen ein ständiges Backup (Datenbank und Dateien). Und zum anderen ist das Veröfffentlichungsdatum der Nicht-Standard-Module von größter Bedeutung. Sollte ein Modul bereits für die 1.10.3 nicht überarbeitet worden sein, besteht die Möglichkeit, dass dein komplettes Systzem nicht mehr funktioniert.

Kannst ja mal hier deine Systemdaten posten, damit wir mal einen Blick drauf werfen können.

EDIT: Grmmll, war der Lukas doch wieder schneller wink ...


1. Wie bekomme ich hier schnelle Hilfe?
2. HowTo: Fehlersuche bei CMS/ms
---
„First they ignore you, then they laugh at you, then they fight you, then you win.“ Mahatma Ghandi

Offline

#4 30. Oktober 2012 06:51

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

cyberman schrieb:

EDIT: Grmmll, war der Lukas doch wieder schneller wink ...

Ätsch big_smile

Du hast dafür die Hintergrundinfos besser verpackt. Zusammen sind die beiden Posts eine gute Partie.


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#5 30. Oktober 2012 13:35

GoGo
arbeitet mit CMS/ms
Registriert: 20. Januar 2011
Beiträge: 134

Re: Update von 1.7.1 auf die neuste Version für Dummies

Welche Datei um auf die 1.9.4.3 upzudaten  brauche ich?

Offline

#6 30. Oktober 2012 13:53

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

http://dev.cmsmadesimple.org/project/files/6#package-1

Hier die http://s3.amazonaws.com/cmsms/downloads … ull.tar.gz oder je nach dem auch nur die Englisch plus deutsches Sprachpaket


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#7 30. Oktober 2012 14:28

GoGo
arbeitet mit CMS/ms
Registriert: 20. Januar 2011
Beiträge: 134

Re: Update von 1.7.1 auf die neuste Version für Dummies

Danke!
Durchgeführt nach Anweisung  smile
Leider habe ich jetzt den Fehler:

Fatal error: Class 'cms_content_cache' not found in /mnt/web5/d3/96/52152496/htdocs/cms_update/lib/classes/class.contentoperations.inc.php on line 187

Was hat es zu bedeuten?

Offline

#8 30. Oktober 2012 14:33

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

Liefere mal ein wenig mehr Infos:

- Welche Module nutzt du?
- Wann ist der Fehler genau aufgetreten
- Wo tritt der Fehler auf


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#9 30. Oktober 2012 14:44

GoGo
arbeitet mit CMS/ms
Registriert: 20. Januar 2011
Beiträge: 134

Re: Update von 1.7.1 auf die neuste Version für Dummies

Hatte Version 1.7.1
Jetzt soll 1.9.4.3 werden

Module nach dem Ausführen von upgrade.php:
alle die im Standard sind, keine zusätzliche Module.
Also:
CMSMailer
CMSPrinting
FileMager
MenuManager
News
nuSoap
Printing
Search
ThemeManager
TinyMCE

Das Upgrade ist durchgelaufen, ohne Probleme. Die Meldung ist sichtbar im Backend nach der Anmeldung (Anmeldefenster wird normal angezeigt), sowie im Frontend auch.

Offline

#10 30. Oktober 2012 15:47

nockenfell
Moderator
Ort: Lenzburg, Schweiz
Registriert: 09. November 2010
Beiträge: 2.807
Webseite

Re: Update von 1.7.1 auf die neuste Version für Dummies

Lade nochmals alle Dateien vom Update hoch. Möglicherweise fehlt hier was. Du kannst auch mal die Dateien mit der Checksum Datei vergleichen. (zu Beginn des Upgrades gibt es diese Möglichkeit)
http://s3.amazonaws.com/cmsms/downloads … cksums.dat


[dieser Beitrag wurde mit 100% recycled bits geschrieben]
Mein Blog  /   Diverse Links rund um CMS Made Simple
Module: btAdminer, ToolBox

Offline

#11 08. November 2012 23:09

GoGo
arbeitet mit CMS/ms
Registriert: 20. Januar 2011
Beiträge: 134

Re: Update von 1.7.1 auf die neuste Version für Dummies

Hallo Leute,
danke für die Hilfe!
Beim nächsten Mal klappts bestimmt. Die Anweisung war genau so wie ich es mir gewünscht habe. In dem Fall hat es aber leider nicht geholfen.

Jetzt nur ein kurzer Zwischenbericht.
Am Ende habe ich alles komplett neu installiert. Wie es sich rausgestellt hat, war die Website durch Viren beschädigt. Dazu noch bei Strato. Im März hat der Virenbefall stattgefunden, dann versuchte jemand was damit zu machen, dabei paar Dateien gelöscht, usw... Anstatt gleich Bescheid zu sagen, hat man gewartet, wahrscheinlich mit der Hoffnung, dass es von alleine aufhört ;-)

Glücklicherweise es waren nicht sonderlich viele Inhalte. Ich hatte auch alle relevante Dateien gesichert gehabt.

Offline